Subject: Re: Emacs can forget processes

From: Jorgen Schaefer <[email-masked]>
Date: Thu, 29 May 2014 01:35:05 +0200

On Wed, 28 May 2014 16:00:39 -0700
Paul Eggert <[email-masked]> wrote:

> On 05/28/2014 01:53 PM, Jorgen Schaefer wrote:
> > Dump of assembler code for function pthread_sigmask:
> >     0x00000000005642c0 <+0>:     sub    $0x8,%rsp
> >     0x00000000005642c4 <+4>:     callq  0x405790 <sigprocmask@plt>
> >     0x00000000005642c9 <+9>:     xor    %edx,%edx
> >     0x00000000005642cb <+11>:    test   %eax,%eax
> >     0x00000000005642cd <+13>:    jns    0x5642d6
> > <pthread_sigmask+22> 0x00000000005642cf <+15>:    callq  0x405a10
> > <__errno_location@plt> 0x00000000005642d4 <+20>:    mov
> > (%rax),%edx 0x00000000005642d6 <+22>:    mov    %edx,%eax
> >     0x00000000005642d8 <+24>:    add    $0x8,%rsp
> >     0x00000000005642dc <+28>:    retq
> 
> Bingo!  We're on the right track.  sigprocmask is *definitely* the
> wrong thing to call here, and would explain your symptoms.  Can you
> please send the preprocessed output of pthread_sigmask.c?  That is,
> if 'make' uses the following command to build pthread_sigmask.o:
> 
> gcc -std=gnu99 -DHAVE_CONFIG_H  -I../src -g3 -O2 -c pthread_sigmask.c
> 
> then please send the output of:
> 
> gcc -std=gnu99 -DHAVE_CONFIG_H  -I../src -g3 -O2 -E pthread_sigmask.c
> 
> It may be large; OK to send it as a compressed attachment. Thanks.

I bow before your debugging skills!

gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I../lib -I../src -I../src       -g3
-O2 -MT pthread_sigmask.o -MD -MP -MF .deps/pthread_sigmask.Tpo -E -o
pthread_sigmask.E pthread_sigmask.c

Output attached.

Regards,
Jorgen